Inicio Internet Solución: Java dejo de funcionar en Google Chrome

Solución: Java dejo de funcionar en Google Chrome

3216
4
COMPARTIR


Articulo actualizado: 03-Febrero-2017

En el mes de abril del 2015 Chrome se fue actualizando paulatinamente en los equipos de la empresa el cual esto fue automático donde después de esto se comenzó a tener problemas para utilizar sitios de Gobierno el cual utilizan Java para el inicio de sesión, tales como SAT, Ventanilla Única, entre otras el cual utilizan Java para las firmas digitales.

Google anunció en septiembre de 2013 sus planes de eliminar el soporte NPAPI de Chrome a “Finales del año 2014”, el cual este plan hasta hace unas semanas pensábamos que se encontraba en el olvido. Mas por la ultima actualización de Google Chrome donde por default deshabilitan NPAPI vemos que Google ha continuado con su plan y ahora afirma que tiene planificado eliminar completamente NPAPI a finales del 2015, Siendo que no es claro si Google continuara o no con sus planes se recomienda a los usuarios de Quicktime, Silverlight, Java, Facebook Video y otros plugins similares basados en NPAPI comenzar a buscar alternativas a Chrome. Se recomienda Firefox, Safari e Internet Explorer el cual son los mas populares.

Ver enlaces oficiales:

The Final Countdown for NPAPI – Google

NPAPI deprecation: developer guide – Google

NPAPI – Wikipedia

A partir de Chrome versión 42, Google agrego un paso adicional a la configuración de la ejecución de plugins basados en NPAPI, así que si se actualizo Chrome (Actualización automática) Java dejo de funcionar y mostrara el mensaje Que no es soportado el plugin. El paso a seguir son:

Actualizaciones de Articulo

Actualización – 03 Febrero 2017

A la fecha seguimos utilizando Google Chrome versión 44 sin problemas con las instrucciones mostradas en el articulo: Evitar que Java deje de funcionar en Chrome

Si quieres utilizar Firefox ver tema Solución Firefox – Tu equipo requiere la versión 1.7 de java SAT

En algunos equipos se utilizan las instrucciones mencionadas en Soluciones – Problemas con Java para entrar a sitios (Bancos, SAT, Ventanilla Unica, IDSE Etc.)

Actualización – 03-Junio-2015

Ver tema Evitar que Java deje de funcionar en Chrome para versión 45 de Google Chrome.

 

Pasos para habilitar plugins en Google Chrome

1.- En la barra de URL, Escribimos:

chrome://flags/#enable-npapi

enable-npapi - Chrome

2.- En las opciones que nos muestra damos clic en Enable (Habilitar) NPAPIenable-npapi 2 - Chrome

3.- Después nos aseguramos que esten activos:

Disable latest stable JavaScript features

posiblemente también necesitemos activar:

Enable Experimental JavaScript

Enable Java - Chrome

4.- Para finalizar reiniciamos Chrome con el boton que aparece en la parte inferior izquierda Relaunch Now (Volver a Iniciar).

Relaunch Chrome5.- Al iniciar, ya va a ejecutarse Java en nuestro sitio.

Les recordamos que esta solución es temporal el tiempo estimado es hasta Septiembre del 2015, veamos que planes tiene Google en base a esto.

4 Comentarios

  1. amigo agradezco te tomes el tiempo para compartir las soluciones, pero acaba de llegar la version 45 de chrome y estoy con un dolor de cabeza para que mis usuarios puedan entrar a hacer facturas electronicas en el portal del sat, te comento que la opcion de NPAPI ya no está disponible en la configuración de chrome, sin embargo habilite los otros dos elementos que aca menciones pero no tuve éxito, que me recomiendas hacer como última opción. Ya me cansé….

    • Buen dia

      Tenemos algunas opciones, la mas sencilla es cambiar de navegador el cual los recomendados son Internet Explorer y Mozilla FireFox, el cual si tienes problemas aun puede aplicar alguna de las soluciones aquí mencionadas (Tenemos varios artículos con soluciones, aun que por el momento si desea continuar utilizando Google Chrome tendra que instalar una versión anterior, aquí explicamos como: https://www.portalmastips.com/evitar-que-java-deje-de-funcionar-en-chrome/).
      Si continua con problemas no dude en consultar el sitio.

    • La única solución que un servidor pudo hacer; ya que igualmente no pude realizar declaraciones utilizando Chrome, Firefox o Edge, fue la siguiente:

      1.- Como tengo windows 10, entré a Explorer Edge, que es el navegador nuevo.
      2.- Ya dentro de este navegador entré a la página principal de SAT (sat.gob.mx)
      3.- Ya dentro de la página fui a las opciones de Edge (esquina superior derecha, marcado con tres puntos (…))
      4.- Di click a “abrir con internet explorer”, lo que hará que se abra la página de sat en dicho navegador (el cual tampoco es compatible, pero espera)
      5.- Una vez que ya estás en internet explorer 11, vas igual a las opciones de dicho navegador (es el ícono de un “engrane” en la esquina superior derecha igualmente) y das click al menú “configuración de vista de compatibilidad”
      6.- Agrega la dirección del sat a la lista de compatibilidad sat.gob.mx
      7.- Ya podrás abrir la aplicación de declaraciones provisionales, sólo deja que se instalen los archivos.

      Espero les sea útil esta información, yo sé que es bastante engorroso, pero el SAT no se actualiza, así que no podemos utilizar las versiones de los exploradores más nuevas, es un lío.

      Saludos.

      Dr. Óscar González.

Deja un comentario...